using System;

class Program
{
    static string Rezultat(int x, int y, int a, int b)
    {
        if(x < a)
        {
            if(y > b)
            {
                return "?";
            }
            else if(y == b)
            {
                return "prvi";
            }
            else
            {
                return "?";
            }
        }
        else if(x > a)
        {
            if(y < b)
            {
                return "?";
            }
            else if(y == b)
            {
                return "drugi";
            }
            else
            {
                return "?";
            }
        }
        else
        {
            if(y < b)
            {
                return "prvi";
            }
            else if(y == b)
            {
                return "nijedan";
            }
            else
            {
                return "drugi";
            }
        }
    }
    static void Main()
    {
        string[] trenutniRezultat = Console.ReadLine().Split(' ');
        string[] buduciRezultat = Console.ReadLine().Split(' ');

        int x = int.Parse(trenutniRezultat[0]);
        int y = int.Parse(trenutniRezultat[1]);

        int a = int.Parse(buduciRezultat[0]);
        int b = int.Parse(buduciRezultat[1]);

        Console.WriteLine(Rezultat(x, y, a, b));

        Console.ReadKey();
    }
}